Loading...
Searching...
No Matches
cosinesimilarity.h File Reference

computes cosine similarity of 2 traces vector https://en.wikipedia.org/wiki/Cosine_similarity More...

`#include "../../exportinmportconfig.h"`
`#include "../../trace/trace.h"`
`#include "../../precision.h"`
`#include "../filters/filterexclusionmz.h"`

Go to the source code of this file.

## Classes

class | pappso::CosineSimilarity

## Namespaces

namespace | pappso
| tries to keep as much as possible monoisotopes, removing any possible C13 peaks and changes multicharge peaks to monocharge

## Detailed Description

computes cosine similarity of 2 traces vector https://en.wikipedia.org/wiki/Cosine_similarity

Date
  12/06/2023

Author
  Olivier Langella

Definition in file cosinesimilarity.h.